Bug 13404 - Некорректно показывает некоторые pdf
: Некорректно показывает некоторые pdf
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libcairo)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
: relnote
:
:
  Show dependency tree
 
Reported: 2007-11-13 10:35 by
Modified: 2008-05-18 00:39 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-11-13 10:35:58
Пример такого pdf:
http://www.promise.com/upload/datasheet/1_ST_EX4350_DS_0806.pdf
почему-то текст показан белым цветом на белом фоне, в результате нечитаем.
Другие гляделки (kpdf,xpdf) показывают данный документ корректно.


Steps to Reproduce:
1. evince http://www.promise.com/upload/datasheet/1_ST_EX4350_DS_0806.pdf

Actual Results:  
белый текст на белом фоне

Expected Results:  
контрастный текст на белом фоне
------- Comment #1 From 2007-11-13 10:47:48 -------
Причём 
$ evince http://www.promise.com/upload/datasheet/1_ST_EX4350_DS_0806.pdf
cairo context error: out of memory
cairo context error: out of memory
cairo context error: out of memory
------- Comment #2 From 2007-11-13 16:58:05 -------
http://bugs.freedesktop.org/show_bug.cgi?id=9846
------- Comment #3 From 2007-11-16 18:41:18 -------
В бранче в данный момент не воспроизводится. libcairo-1.4.10-alt1. FIXED?
------- Comment #4 From 2008-01-07 13:25:18 -------
У меня не полностью доведённый до 4.0 набор пакетов и оно воспроизводится:

libcairo-1.4.10-alt1

$ evince http://www.promise.com/upload/datasheet/1_ST_EX4350_DS_0806.pdf
cairo context error: out of memory
cairo context error: out of memory
cairo context error: out of memory
$ 

Да: текста не видно на белом. (kpdf показывает.)
------- Comment #5 From 2008-01-09 02:46:39 -------
Да, не воспроизводится уже.
$ rpm -q libcairo
libcairo-1.4.12-alt1
------- Comment #6 From 2008-05-18 00:39:50 -------
Да, уже не воспроизводится libcairo-1.6.4-alt3.